Package org.kapott.hbci.sepa.jaxb.pain_001_001_03

## Class PaymentTypeInformationSCT2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_001_03.PaymentTypeInformationSCT2

    public class PaymentTypeInformationSCT2
    extends java.lang.Object

Java class for PaymentTypeInformationSCT2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTypeInformationSCT2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SvcLvl" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}ServiceLevel"/>
             <element name="CtgyPurp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}CategoryPurposeSEPA" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CategoryPurposeSEPA` `ctgyPurp`
`protected ServiceLevel` `svcLvl`

### Constructor Summary

Constructors
`PaymentTypeInformationSCT2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CategoryPurposeSEPA` `getCtgyPurp()` Gets the value of the ctgyPurp property.
`ServiceLevel` `getSvcLvl()` Gets the value of the svcLvl property.
`void` `setCtgyPurp​(CategoryPurposeSEPA value)` Sets the value of the ctgyPurp property.
`void` `setSvcLvl​(ServiceLevel value)` Sets the value of the svcLvl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### svcLvl

    protected ServiceLevel svcLvl

#### ctgyPurp

    protected CategoryPurposeSEPA ctgyPurp

### Constructor Detail

#### PaymentTypeInformationSCT2

    public PaymentTypeInformationSCT2()

### Method Detail

#### getSvcLvl

    public ServiceLevel getSvcLvl()

Gets the value of the svcLvl property.

Returns:
  possible object is `ServiceLevel`

#### setSvcLvl

    public void setSvcLvl​(ServiceLevel value)

Sets the value of the svcLvl property.

Parameters:
  `value` - allowed object is `ServiceLevel`

#### getCtgyPurp

    public CategoryPurposeSEPA getCtgyPurp()

Gets the value of the ctgyPurp property.

Returns:
  possible object is `CategoryPurposeSEPA`

#### setCtgyPurp

    public void setCtgyPurp​(CategoryPurposeSEPA value)

Sets the value of the ctgyPurp property.

Parameters:
  `value` - allowed object is `CategoryPurposeSEPA`